# Q. What is this file?
# A. This file contains options which allow you to configure your multiworld experience while allowing
#    others to play how they want as well.
#
# Q. How do I use it?
# A. The options in this file are weighted. This means the higher number you assign to a value, the
#    more chances you have for that option to be chosen. For example, an option like this:
#
#    map_shuffle:
#      on: 5
#      off: 15
#
#    Means you have 5 chances for map shuffle to occur, and 15 chances for map shuffle to be turned
#    off.
#
# Q. I've never seen a file like this before. What characters am I allowed to use?
# A. This is a .yaml file. You are allowed to use most characters.
#    To test if your yaml is valid or not, you can use this website:
#        http://www.yamllint.com/
#    You can also verify that your MultiworldGG options are valid at this site:
#        https://multiworld.gg/check

# Your name in-game, limited to 16 characters.
#     {player} will be replaced with the player's slot number.
#     {PLAYER} will be replaced with the player's slot number, if that slot number is greater than 1.
#     {number} will be replaced with the counter value of the name.
#     {NUMBER} will be replaced with the counter value of the name, if the counter value is greater than 1.
name: Player{number}

# Used to describe your yaml. Useful if you have multiple files.
description: Default Frogmonster Template

game: Frogmonster
requires:
  version: 0.7.174 # Version of MWGG required for this yaml to work as expected.

Frogmonster:
  ################
  # Game Options #
  ################
  death_link:
    # When you die, everyone who enabled death link dies. Of course, the reverse is true too.
    'false': 50
    'true': 0

  progression_balancing:
    # A system that can move progression earlier, to try and prevent the player from getting stuck and bored early.
    # 
    # A lower setting means more getting stuck. A higher setting means less getting stuck.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 99
    random: 0
    random-low: 0
    random-high: 0
    disabled: 0 # equivalent to 0
    normal: 50 # equivalent to 50
    extreme: 0 # equivalent to 99

  accessibility:
    # Set rules for reachability of your items/locations.
    # 
    # **Full:** ensure everything can be reached and acquired.
    # 
    # **Minimal:** ensure what is needed to reach your goal can be acquired.
    full: 50
    minimal: 0

  game_difficulty:
    # Determines expected player skill. A harder difficulty means you will be expected to go further in the game with less resources.
    normal: 50
    hard: 0

  goal:
    # Determines the win condition for the game. Myzand 2: Traverse Myzand's Forest, defeat him, and lock him away. Eye Chest: Open the 6-Eye Door and collect the Eye Fragment.
    myzand_2: 50
    eye_chest: 0

  shuffle_puzzles:
    # When enabled, slide puzzles and their rewards will be shuffled into the pool.
    'false': 50
    'true': 0

  i_hate_seedling:
    # When enabled, Blue in Lost Swamp will always give you a gun, and you will always find a spell at the Fireball location. (This may break gun/spell plando, so be warned.)
    'false': 50
    'true': 0

  shuffle_bug_effects:
    # Randomizes the temporary effect gained when eating any bug other than Mushroom.
    'false': 50
    'true': 0

  shuffle_workshop_key:
    # When enabled, the Workshop Key will be shuffled into the item pool, and Bins will give you a random item after defeating Xoto.
    enabled: 50
    disabled: 0
    startwith: 0

  shop_multiplier:
    # Decreases the total cost of items in shops by a percentage. 100 = no discount, 0 = free shops. This does not impact gun upgrade costs, or buying from Supa.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 100
    100: 50
    random: 0
    random-low: 0
    random-high: 0

  open_city:
    # When enabled, the Lost Swamp portal vine will be enabled from the beginning, allowing quick travel to City without needing to traverse through most of the early game first.
    'false': 50
    'true': 0

  hardcore_parkour:
    # When enabled, the player will be expected to do more advanced or unituitive platform movement to get to some locations.
    'false': 50
    'true': 0

  well_light_logic:
    # Chooses which items will be expected to be acquired for traversing the well. Glowbug for navigating dark passages, Fire Fruit Juicer for relighting the candle after Fire-Eaters, or both.
    none: 0
    glowbug: 0
    fire_fruit_juicer: 50
    both: 0

  ###########################
  # Item & Location Options #
  ###########################
  local_items:
    # Forces these items to be in their native world.
    []

  non_local_items:
    # Forces these items to be outside their native world.
    []

  start_inventory:
    # Start with these items.
    {}

  start_inventory_from_pool:
    # Start with these items and don't place them in the world.
    # 
    # The game decides what the replacement items will be.
    {}

  start_hints:
    # Start with these item's locations prefilled into the ``!hint`` command.
    []

  start_location_hints:
    # Start with these locations and their item prefilled into the ``!hint`` command.
    []

  exclude_locations:
    # Prevent these locations from having an important item.
    []

  priority_locations:
    # Prevent these locations from having an unimportant item.
    []

  item_links:
    # Share part of your item pool with other players.
    []

  plando_items:
    # Generic items plando.
    []
